### Function

# Rsvg pixbuf_from_file

#### Declaration [src]

    GdkPixbuf*
    rsvg_pixbuf_from_file (
      const gchar* filename,
      GError** error
    )

#### Description [src]

Loads a new `GdkPixbuf` from `filename` and returns it. The caller must assume the reference to the reurned pixbuf. If an error occurred, `error` is set and `NULL` is returned.

Deprecated since: | Unknown
Use `rsvg_handle_new_from_file()` and `rsvg_handle_render_document()` instead.

#### Parameters

`filename` | `const gchar*`
| A file name.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `GdkPixbuf`
| A pixbuf, or `NULL` on error.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.